#!/bin/bash

echo "Waiting for mongodb to become available..."
until mongosh --host localhost --port 27017 --eval "print(\"Waited for connection\")"
do
  sleep 1
done

echo "Configuring replica set..."
mongosh --host localhost --port 27017 <<EOF
rs.initiate({
  _id: 'rs0',
  members: [
    { _id: 0, host: 'localhost:27017' }
  ]
})
EOF

echo "Replica set initialized"
